%global _empty_manifest_terminate_build 0
%global pypi_name ruff

Name:           python-%{pypi_name}
Version:        0.3.4
Release:        1
Summary:        An extremely fast Python linter, written in Rust.
License:        MIT
URL:            https://github.com/astral-sh/ruff
Source0:        https://files.pythonhosted.org/packages/e1/11/134742808610b28b960687ab735c562ec4c8444d0fe09d39d01c4ffdc8ff/ruff-0.3.4.tar.gz

BuildRequires:  rust-packaging
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-maturin

%description
An extremely fast Python linter, written in Rust.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Provides:       python-ruff = %{version}-%{release}
%description -n python3-%{pypi_name}
An extremely fast Python linter, written in Rust.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{_bindir}/ruff
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}*.dist-info/

%changelog
* Wed Mar 27 2024 GuoCe <guoce@kylinos.cn> - 0.3.4-1
- Update package to version 0.3.4
- Add yaml file

* Fri Mar 15 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 0.3.2-1
- Update package to version 0.3.2
- Fix trailing kwargs end of line comment after slash

* Sun Jul 2 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.0.276-1
- Initial package
